<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
    <f:if condition="{children}">
        <f:for each="{children}" as="item" key="key" iteration="column">

            <f:variable name="arguments" value="{
                    data: data,
                    children: item,
                    options: options,
                    settings: settings
                    }" />

            <f:switch expression="{key}">
                <f:case value="101">
                    <div class="{f:if(condition: '{flexform.col_xs_1}', then: '{flexform.col_xs_1} ')}{f:if(condition: '{flexform.col_sm_1}', then: '{flexform.col_sm_1} ')}{f:if(condition: '{flexform.col_md_1}', then: '{flexform.col_md_1} ')}{flexform.col_lg_1} grid-column grid-column-{key}">

                        <f:render partial="Items" arguments="{arguments}" />

                    </div>
                </f:case>
                <f:case value="102">
                    <div class="{f:if(condition: '{flexform.col_xs_2}', then: '{flexform.col_xs_2} ')}{f:if(condition: '{flexform.col_sm_2}', then: '{flexform.col_sm_2} ')}{f:if(condition: '{flexform.col_md_2}', then: '{flexform.col_md_2} ')}{flexform.col_lg_2} grid-column grid-column-{key}">

                        <f:render partial="Items" arguments="{arguments}" />

                    </div>
                </f:case>
                <f:case value="103">
                    <div class="{f:if(condition: '{flexform.col_xs_3}', then: '{flexform.col_xs_3} ')}{f:if(condition: '{flexform.col_sm_3}', then: '{flexform.col_sm_3} ')}{f:if(condition: '{flexform.col_md_3}', then: '{flexform.col_md_3} ')}{flexform.col_lg_3} grid-column grid-column-{key}">

                        <f:render partial="Items" arguments="{arguments}" />

                    </div>
                </f:case>
                <f:case value="104">
                    <div class="{f:if(condition: '{flexform.col_xs_4}', then: '{flexform.col_xs_4} ')}{f:if(condition: '{flexform.col_sm_4}', then: '{flexform.col_sm_4} ')}{f:if(condition: '{flexform.col_md_4}', then: '{flexform.col_md_4} ')}{flexform.col_lg_4} grid-column grid-column-{key}">

                        <f:render partial="Items" arguments="{arguments}" />

                    </div>
                </f:case>
                <f:defaultCase></f:defaultCase>
            </f:switch>

        </f:for>
    </f:if>

</html>
